Foros del Web » Programando para Internet » PHP »

Duda sobre extension php_printer.dll

Estas en el tema de Duda sobre extension php_printer.dll en el foro de PHP en Foros del Web. Hola, Tengo una duda para que la extension php_printer.dll funcione el PHP debe estar instalado como Modulo de Apache o es indiferente, porque lo tengo ...
  #1 (permalink)  
Antiguo 11/01/2004, 20:41
 
Fecha de Ingreso: agosto-2003
Mensajes: 33
Antigüedad: 14 años, 3 meses
Puntos: 0
Pregunta Duda sobre extension php_printer.dll

Hola,


Tengo una duda para que la extension php_printer.dll funcione el PHP debe estar instalado como Modulo de Apache o es indiferente, porque lo tengo instalado como CGI y cuando en php.ini le quito el punto y coma a extension=php_printer.dll me da error y me dice que el php4ts.dll ha causado un error.


Otra pregunta, el titulo lo escribe en una sola linea y yo deseo saber como le indico que siga escribiendo en la siguiente linea, ya que la información me queda cortada, o sea se pasa del ancho de la pagina.

Código PHP:
printer_draw_text($handle"TITULO: ".$titulo10170); 
Gracias por la ayuda.
__________________
Patricia
  #2 (permalink)  
Antiguo 12/01/2004, 07:47
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
En principio para el tema del salto de línea .. deberias usar el separador de salto de línea tipo: \n o \n\r o \r o similar (\n salto de línea .. y \r retorno de carro .. o algo así es).

Tienes una función:

wordwrap()
http://www.php.net/manual/en/function.wordwrap.php

que te ayudará a formatear una cadena a X caracteres de ancho y con un separador de líneas que indiques . (ejemplo usa el \n ) así podrás usarlo en tu actual función .. Es decir .. aplica esta función a tu variable $titulo antes de atactar la función de salida por impresora.

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #3 (permalink)  
Antiguo 12/01/2004, 14:59
 
Fecha de Ingreso: agosto-2003
Mensajes: 33
Antigüedad: 14 años, 3 meses
Puntos: 0
Problema con Apache para mandar a imprimir

Tengo una duda para que la extension php_printer.dll funcione el PHP debe estar instalado como Modulo de Apache o es indiferente, porque lo tengo instalado como CGI y cuando en php.ini le quito el punto y coma a extension=php_printer.dll

Me da error y me dice que el
"Apache provoco un error en php4ts.dll"
"Apache de cerrara"


Lo que deseo saber tambien es que si se tiene que configurar algo en Apache para que funciones

Gracias
__________________
Patricia
  #4 (permalink)  
Antiguo 12/01/2004, 15:05
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Pues .. yo la he probado sólo en PHP como módulo.

Sólo recuerda (por si acaso) ... que la impresión que vas hacer es en las impresoras conectadas al servidor (y no a las posibles impresoras conectadas en los clientes). Es eso lo que deseas?

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #5 (permalink)  
Antiguo 12/01/2004, 15:30
 
Fecha de Ingreso: agosto-2003
Mensajes: 33
Antigüedad: 14 años, 3 meses
Puntos: 0
Si eso es lo que deseo, pero me da error como lo indico en el mensaje anterior.
Cuando le quito el ; a la extension=php_printer.dll y despues mando a imprimir desde luego del servidor que sale el siguiente mensaje: Apache provocó un error en PHP4ST.DLL
Apache se cerrará


Será que he configurado algo mal, que será.


Gracias por la ayuda
__________________
Patricia
  #6 (permalink)  
Antiguo 13/01/2004, 00:13
 
Fecha de Ingreso: agosto-2003
Mensajes: 33
Antigüedad: 14 años, 3 meses
Puntos: 0
Problemas con servidor apache

Que alguien por favor me conteste, porque ya no se que hacer para que no me den esos errores.

Cuando ejecuto Apache-Start Server me da este error:

[Mon Jan 12 23:12:47 2004] [warn] Loaded DSO D:/nusphere/apache/php/sapi/php4apache.dll uses plain Apache 1.3 API, this module might crash under EAPI! (please recompile it with -DEAPI)

Despues me da otro error que es el siguiente:
cuando le quito el ; a la extension=php_printer.dll y despues mando a imprimir desde luego del servidor me sale el siguiente mensaje: Apache provocó un error en PHP4ST.DLL
Apache se cerrará

Que Alguien me de alguna idea de como solucionar estos problemas.
Ayudenme por favor.
Gracias
__________________
Patricia
  #7 (permalink)  
Antiguo 13/01/2004, 06:45
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Que tal si instalas PHP como módulo de Apache según esta guia de instalación:

http://www.maestrosdelweb.com/editorial/phpmysqlap/

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 23:47.